# encodeForSigningClaim | xrpl
Documentation for xrpl

# Function encodeForSigningClaim

- encodeForSigningClaim(object: PaymentChannelClaim ): string

- Encodes a PaymentChannelClaim for signing

  ### Returns

  A hex string representing the encoded object.

  #### Parameters

  - ##### object: PaymentChannelClaim

    PaymentChannelClaim in JSON format.

  #### Returns string

  - Defined in packages/xrpl/src/utils/index.ts:104

Generated using TypeDoc